Skip to main content
POST
/
api2
/
v2
/
jobs
/
{jobUid}
/
conversations
/
lqas
/
{conversationId}
/
comments
Add LQA comment
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
{
  "conversation": {
    "comments": [
      {
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "jobRoles": [
            {
              "type": "PROJECT_OWNER",
              "organizationType": "VENDOR",
              "workflowStep": {
                "abbreviation": "<string>",
                "id": 123,
                "name": "<string>",
                "workflowLevel": 123,
                "workflowStep": {
                  "id": "<string>",
                  "lqaEnabled": true,
                  "name": "<string>",
                  "order": 123,
                  "uid": "<string>"
                }
              }
            }
          ],
          "lastName": "<string>",
          "role": "SYS_ADMIN",
          "uid": "<string>",
          "unavailable": true,
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateModified": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "mentions": [
          {
            "mentionType": "USER",
            "mentionGroupType": "JOB",
            "mentionableGroup": {
              "groupName": "<string>",
              "groupReference": {
                "uid": "<string>"
              },
              "groupType": "JOB"
            },
            "tag": "<string>",
            "uidReference": {
              "uid": "<string>"
            },
            "userReferences": [
              {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "jobRoles": [
                  {
                    "type": "PROJECT_OWNER",
                    "organizationType": "VENDOR",
                    "workflowStep": {
                      "abbreviation": "<string>",
                      "id": 123,
                      "name": "<string>",
                      "workflowLevel": 123,
                      "workflowStep": {
                        "id": "<string>",
                        "lqaEnabled": true,
                        "name": "<string>",
                        "order": 123,
                        "uid": "<string>"
                      }
                    }
                  }
                ],
                "lastName": "<string>",
                "role": "SYS_ADMIN",
                "uid": "<string>",
                "unavailable": true,
                "userName": "<string>"
              }
            ]
          }
        ],
        "text": "<string>"
      }
    ],
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "jobRoles": [
        {
          "type": "PROJECT_OWNER",
          "organizationType": "VENDOR",
          "workflowStep": {
            "abbreviation": "<string>",
            "id": 123,
            "name": "<string>",
            "workflowLevel": 123,
            "workflowStep": {
              "id": "<string>",
              "lqaEnabled": true,
              "name": "<string>",
              "order": 123,
              "uid": "<string>"
            }
          }
        }
      ],
      "lastName": "<string>",
      "role": "SYS_ADMIN",
      "uid": "<string>",
      "unavailable": true,
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateEdited": "2023-11-07T05:31:56Z",
    "dateModified": "2023-11-07T05:31:56Z",
    "deleted": true,
    "id": "<string>",
    "lqaDescription": "<string>",
    "references": {
      "lqa": [
        {
          "errorCategoryId": 2,
          "severityId": 2,
          "origin": "HUMAN",
          "originator": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "jobRoles": [
              {
                "type": "PROJECT_OWNER",
                "organizationType": "VENDOR",
                "workflowStep": {
                  "abbreviation": "<string>",
                  "id": 123,
                  "name": "<string>",
                  "workflowLevel": 123,
                  "workflowStep": {
                    "id": "<string>",
                    "lqaEnabled": true,
                    "name": "<string>",
                    "order": 123,
                    "uid": "<string>"
                  }
                }
              }
            ],
            "lastName": "<string>",
            "role": "SYS_ADMIN",
            "uid": "<string>",
            "unavailable": true,
            "userName": "<string>"
          },
          "repeated": "REPEATED",
          "user": {
            "id": "<string>"
          }
        }
      ],
      "segmentId": "<string>",
      "transGroupId": 1,
      "commentedText": "<string>",
      "conversationTitle": "<string>",
      "conversationTitleOffset": 1,
      "correlation": {
        "role": "PARENT",
        "uid": "<string>"
      },
      "jobPartUid": "<string>",
      "taskId": "<string>"
    },
    "status": {
      "by": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "jobRoles": [
          {
            "type": "PROJECT_OWNER",
            "organizationType": "VENDOR",
            "workflowStep": {
              "abbreviation": "<string>",
              "id": 123,
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "id": "<string>",
                "lqaEnabled": true,
                "name": "<string>",
                "order": 123,
                "uid": "<string>"
              }
            }
          }
        ],
        "lastName": "<string>",
        "role": "SYS_ADMIN",
        "uid": "<string>",
        "unavailable": true,
        "userName": "<string>"
      },
      "date": "2023-11-07T05:31:56Z",
      "name": "resolved"
    },
    "type": "<string>"
  },
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required
conversationId
string
required

Body

application/json
text
string
required

Response

Created

conversation
object
id
string

ID of created comment